mobilebackup_client_free
mobilebackup_client_new
mobilebackup_client_start_service
mobilebackup_client_t
mobilebackup_error_t
mobilebackup_flags_t
mobilebackup_receive
mobilebackup_receive_restore_application_received
mobilebackup_receive_restore_file_received
mobilebackup_request_backup
mobilebackup_request_restore
mobilebackup_send
mobilebackup_send_backup_file_received
mobilebackup_send_error
mobilebackup_send_restore_complete
MOBILEBACKUP_SERVICE_NAME

## mobilebackup_client_new()

LIBIMOBILEDEVICE_API mobilebackup_error_t mobilebackup_client_new | ( | idevice_t | device,
|  | lockdownd_service_descriptor_t | service,
|  | mobilebackup_client_t * | client )

Connects to the mobilebackup service on the specified device.

Parameters

  device | The device to connect to.
  service | The service descriptor returned by lockdownd_start_service.
  client | Pointer that will be set to a newly allocated mobilebackup_client_t upon successful return.

Returns
  MOBILEBACKUP_E_SUCCESS on success, MOBILEBACKUP_E_INVALID ARG if one or more parameters are invalid, or DEVICE_LINK_SERVICE_E_BAD_VERSION if the mobilebackup version on the device is newer.